summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-05-18 13:26:02 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-05-18 13:26:02 +0000
commit73959cd2c0c95d7b4fcaa719677e1333348a741a (patch)
treee1ed5f328fe0497026ca8ce2edd46738e4e437b9 /dev-python
parent1125622af8193fe2bf0be4132888743d4837266b (diff)
downloadbaldeagleos-repo-73959cd2c0c95d7b4fcaa719677e1333348a741a.tar.gz
baldeagleos-repo-73959cd2c0c95d7b4fcaa719677e1333348a741a.tar.xz
baldeagleos-repo-73959cd2c0c95d7b4fcaa719677e1333348a741a.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/alembic/Manifest1
-rw-r--r--dev-python/alembic/alembic-1.11.1.ebuild35
-rw-r--r--dev-python/argparse-manpage/Manifest1
-rw-r--r--dev-python/argparse-manpage/argparse-manpage-4.3.ebuild41
-rw-r--r--dev-python/awxkit/Manifest1
-rw-r--r--dev-python/awxkit/awxkit-22.3.0.ebuild50
-rw-r--r--dev-python/browser-cookie3/Manifest1
-rw-r--r--dev-python/browser-cookie3/browser-cookie3-0.18.1.ebuild34
-rw-r--r--dev-python/clang-python/Manifest2
-rw-r--r--dev-python/clang-python/clang-python-16.0.4.ebuild54
-rw-r--r--dev-python/django-ipware/Manifest1
-rw-r--r--dev-python/djangorestframework-guardian2/Manifest (renamed from dev-python/djangorestframework-guardian/Manifest)0
-rw-r--r--dev-python/djangorestframework-guardian2/djangorestframework-guardian2-0.5.0.ebuild (renamed from dev-python/djangorestframework-guardian/djangorestframework-guardian-0.5.0.ebuild)2
-rw-r--r--dev-python/djangorestframework-guardian2/metadata.xml (renamed from dev-python/django-ipware/metadata.xml)0
-rw-r--r--dev-python/etuples/Manifest1
-rw-r--r--dev-python/etuples/etuples-0.3.9.ebuild31
-rw-r--r--dev-python/google-auth/Manifest1
-rw-r--r--dev-python/google-auth/google-auth-2.18.1.ebuild58
-rw-r--r--dev-python/httpcore/Manifest1
-rw-r--r--dev-python/httpcore/httpcore-0.17.1.ebuild48
-rw-r--r--dev-python/keystoneauth1/Manifest1
-rw-r--r--dev-python/keystoneauth1/keystoneauth1-5.2.0.ebuild62
-rw-r--r--dev-python/langdetect/Manifest2
-rw-r--r--dev-python/langdetect/metadata.xml10
-rw-r--r--dev-python/lit/Manifest2
-rw-r--r--dev-python/lit/lit-16.0.4.ebuild42
-rw-r--r--dev-python/python-ipware/Manifest1
-rw-r--r--dev-python/python-ipware/metadata.xml (renamed from dev-python/djangorestframework-guardian/metadata.xml)0
-rw-r--r--dev-python/python-ipware/python-ipware-0.9.0.ebuild (renamed from dev-python/django-ipware/django-ipware-5.0.0.ebuild)10
-rw-r--r--dev-python/sentry-sdk/Manifest1
-rw-r--r--dev-python/sentry-sdk/sentry-sdk-1.23.1.ebuild114
31 files changed, 591 insertions, 17 deletions
diff --git a/dev-python/alembic/Manifest b/dev-python/alembic/Manifest
index ea406378864d..a69a02ed3fb1 100644
--- a/dev-python/alembic/Manifest
+++ b/dev-python/alembic/Manifest
@@ -1,2 +1,3 @@
DIST alembic-1.10.4.tar.gz 1152769 BLAKE2B f940dec295f362cdb63bdb0326c5438734189518188e9de01d2aa164b3d51ac6d00ca960bae9fc539ac19b2c82982e907fa705efd02d30cd08d5a9f8d0ab2ae3 SHA512 bf49aff7d04fbbc966df351451dacd921c3b292313c1077d6b02a2679aeeef086313cd11ede8880c056950f8359bd9ab6e3f5219ae859e48d0298aeb8ea9e398
DIST alembic-1.11.0.tar.gz 1172377 BLAKE2B ec29af312516a6d2cf9168994efbfa89e2bc3d11294573138f5e145c51587f1ab5dd07f9da95ae7d8885de2618159b5566dbfbdec9c64495cc086d0d157c9105 SHA512 d3d38887835a632e3129e8fde1449f91c60ffba575b7e0c568303ac4e1fd6ddeecf8c93540b65fd827ce2c08e377820278ed8ce1a80df69968145fc16267e266
+DIST alembic-1.11.1.tar.gz 1176522 BLAKE2B 5a4185cb59b48301d350db3c44487408ca6c8d88b47ddd22e4c19fad57d0961cb3968652ba15986cf42adb9bb38542a79b11ddd980c9841a071844d26fed56fd SHA512 d068d581df952c2d304534218bd8f948407e288005514501816e60600b186bf03bcc60f485c4c6d5c80caf718210c2bf619f1758327bc592663f160c3bd21e65
diff --git a/dev-python/alembic/alembic-1.11.1.ebuild b/dev-python/alembic/alembic-1.11.1.ebuild
new file mode 100644
index 000000000000..15a1a21d58a0
--- /dev/null
+++ b/dev-python/alembic/alembic-1.11.1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Database migrations tool, written by the author of SQLAlchemy"
+HOMEPAGE="
+ https://github.com/sqlalchemy/alembic/
+ https://pypi.org/project/alembic/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+IUSE="doc"
+
+RDEPEND="
+ >=dev-python/sqlalchemy-1.1.0[${PYTHON_USEDEP}]
+ dev-python/mako[${PYTHON_USEDEP}]
+ >=dev-python/python-editor-0.3[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/. )
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/argparse-manpage/Manifest b/dev-python/argparse-manpage/Manifest
index b286723b5102..23c71f0f4855 100644
--- a/dev-python/argparse-manpage/Manifest
+++ b/dev-python/argparse-manpage/Manifest
@@ -1,2 +1,3 @@
DIST argparse-manpage-4.1.gh.tar.gz 52576 BLAKE2B ee1a44d5cdbdd992796ffd1603988a96322d8ed3063a9e9f025c413ce9820bcc8b3ea77ee8bc2f878cf689c873806c7fbf740d1899d1b72b6e5faa8475d5c8b8 SHA512 e0bbdf49eec13572201bc38e51b5ff9d95356b04980ac8d0afcad9af33a9eae35e9c0c16543ba3b91f4ea5d8e6ea62940acab4342f79601582c8c3adaf8e3f95
+DIST argparse-manpage-4.3.gh.tar.gz 54479 BLAKE2B de6b6a5c449eebbd4aae207cfeadc6b16baf33e4ed0b6cc886921ee2e2dcdb48ae25f160dd6679da26fc6566fa483a864bc6dd4a0af800b853452405007f58c0 SHA512 9541ddcbddbd12c2fd0d72cc229d453d5d1d25eb915123c26b9040c6a97db6a72bb4002ada5a86620e9caff7c9bc588f1ee7d0c8241b6369cfb28b0271afdbc3
DIST argparse-manpage-4.gh.tar.gz 50506 BLAKE2B b291e4e77a076e87659bea611baf96d9a258deb8d9fe5e8d1a9278d4daa80d108d6bc7280aa351f1f7b5fa725a5a6508dd3d74bfc1dd226d24653645066173f2 SHA512 51b3cd10569b0bbd28587172cbb2818375c904c89c51a075e2f641c4d158a7a047ff939977c3ee0f164ace18ebccc0037f8c0e74e23b41fbcd990cacedcbee6a
diff --git a/dev-python/argparse-manpage/argparse-manpage-4.3.ebuild b/dev-python/argparse-manpage/argparse-manpage-4.3.ebuild
new file mode 100644
index 000000000000..68f79ee35825
--- /dev/null
+++ b/dev-python/argparse-manpage/argparse-manpage-4.3.ebuild
@@ -0,0 +1,41 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Automatically build man-pages for your Python project"
+HOMEPAGE="
+ https://github.com/praiskup/argparse-manpage/
+ https://pypi.org/project/argparse-manpage/
+"
+SRC_URI="
+ https://github.com/praiskup/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc ~sparc ~x86"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/tomli[${PYTHON_USEDEP}]
+ ' 3.{9..10})
+"
+BDEPEND="
+ test? (
+ dev-python/pip[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x COLUMNS=80
+ epytest
+}
diff --git a/dev-python/awxkit/Manifest b/dev-python/awxkit/Manifest
index 0aece6fbe808..e1bbe28a13a1 100644
--- a/dev-python/awxkit/Manifest
+++ b/dev-python/awxkit/Manifest
@@ -1,3 +1,4 @@
DIST awx-22.0.0.gh.tar.gz 16988159 BLAKE2B 88b2e8a1f035ca34c7dfd6ddb83ca9b72824153611861286c771a0493bf6c9fefa593d9e92116e9adf1968ee39c128af318fb7d5ef542e1d4603e235a7471412 SHA512 5ce0ea43d758e63ace024cee1c67e19a154104508dea2b67bdb275189e1f993b3b0c782e704d319196dcaabcf09db12ff36fcf73a35e5c4fdd5076a7e0649e10
DIST awx-22.1.0.gh.tar.gz 16995197 BLAKE2B 4a455219a7be93c5e85fafb2108162ef6745d835a18ad6ff842fda3e82c51e789d6a512a51275a8c169a7a480e242b2043400c641e7c950a84138cab41560758 SHA512 8a1bea58d24f6240d713d95a0389e434c242efda2e8eea10b3c9baa49174e93861558e4d80983aadc3d762f5b7f8c71f7440c057e1f00d4ac33619a68ab4a51a
DIST awx-22.2.0.gh.tar.gz 16997478 BLAKE2B 62fda5250b62c517f5374ab9d6ec6e1e5c57ba8e904626404e54b01b34dfddc006651801424092415e7d4f78f3d1d130432665cafadec5e8af1f72336bdcaf6c SHA512 d8b318d5a2e2bf0fbd4c09e09655b4960fb93f95749149be6542fe426874971ffcdc866c0ea5dc2a7a71ba57d3928aa6ff7f87982a085a3c2f8f92d04645f246
+DIST awx-22.3.0.gh.tar.gz 16620136 BLAKE2B 23a84f6ca8971325d7a0d7b072f28275158906832cdeaef15906495a1c20b03999a32776cd92b5ce09f6f14c1a83db7c2978eb4697ff5cb41214ba0b5d10fefc SHA512 65e3284abd07eb25ec013be94627ac20b0613071a00697ba380e2bd754dbc18d45089de61d7caa37f604c92f0d47cd640544b9bc69de1dfb3511678e9d80334a
diff --git a/dev-python/awxkit/awxkit-22.3.0.ebuild b/dev-python/awxkit/awxkit-22.3.0.ebuild
new file mode 100644
index 000000000000..85bf390927f2
--- /dev/null
+++ b/dev-python/awxkit/awxkit-22.3.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+MY_P=awx-${PV}
+DESCRIPTION="Command line interface for Ansible AWX"
+HOMEPAGE="
+ https://github.com/ansible/awx/
+ https://pypi.org/project/awxkit/
+"
+# no sdist, as of 22.0.0
+SRC_URI="
+ https://github.com/ansible/awx/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/awxkit"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/urllib3[${PYTHON_USEDEP}]
+ dev-python/websocket-client[${PYTHON_USEDEP}]
+ dev-python/pyjwt[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+ printf '%s\n' "${PV}" > VERSION || die
+
+ sed -e 's|websocket-client==[[:digit:]\.]*|websocket-client|' \
+ -e "/'clean'/d" \
+ -i setup.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/browser-cookie3/Manifest b/dev-python/browser-cookie3/Manifest
index 461ec64a67bc..1e06a090a6e5 100644
--- a/dev-python/browser-cookie3/Manifest
+++ b/dev-python/browser-cookie3/Manifest
@@ -1,2 +1,3 @@
DIST browser-cookie3-0.17.1.tar.gz 15882 BLAKE2B 76dbe885a21bc904eb53a2c9360f998d6b5d63b06b8025330d8960e07b630f13946f543a48cd9f3a24498e857e6245171fd7805bc403bae437caebd7209519bf SHA512 cf677a6cb8db32144dbced235fcd581743d997bcac77fe89a0d7c0b6400ff92d078cd04159f7819a8358128155cd105d44d4cde06cb345514e43d33dba931240
DIST browser-cookie3-0.18.0.tar.gz 15607 BLAKE2B 51d815d2231331e48681dcb90f4499f2b701c8a1058e83d7591465e6cfbcdc9a6b9f6bcd569eca7b3468541cea12b02840fceacaba4545ea0f704dcfc054c755 SHA512 7686fc7c943a09f039e42454ccd184cd0540ece1095469149c363f907f3f50f232b6a5f1a2a14f923963d5b46320293ad42b3bdd1089e26b1a17f52960f4f7de
+DIST browser-cookie3-0.18.1.tar.gz 16073 BLAKE2B 1520e53919105e796e9210bf00abd90889f7f10ffaec1bb749005c339556a5aaba4f5d465225b7afcaa4d61f775855029a99ce76a2c90fa16274c2a0e3d42be9 SHA512 673d3268473b45f12469ba86223d0de302f8f3e6282da318e8adb138848953982e1a59740dd90b3b63746f4c29c649abed9d4e06e5e89303931ba7a395732df5
diff --git a/dev-python/browser-cookie3/browser-cookie3-0.18.1.ebuild b/dev-python/browser-cookie3/browser-cookie3-0.18.1.ebuild
new file mode 100644
index 000000000000..b3e06c61660a
--- /dev/null
+++ b/dev-python/browser-cookie3/browser-cookie3-0.18.1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Loads cookies from your browser into a cookiejar object"
+HOMEPAGE="
+ https://github.com/borisbabic/browser_cookie3/
+ https://pypi.org/project/browser-cookie3/
+"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ dev-python/lz4[${PYTHON_USEDEP}]
+ dev-python/pycryptodome[${PYTHON_USEDEP}]
+"
+
+python_prepare_all() {
+ # make cryptodome-friendly
+ sed -i -e 's:pycryptodomex:pycryptodome:' setup.py || die
+ sed -i -e 's:Cryptodome:Crypto:g' __init__.py || die
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/clang-python/Manifest b/dev-python/clang-python/Manifest
index 9ebe26ea1ca5..613e780805df 100644
--- a/dev-python/clang-python/Manifest
+++ b/dev-python/clang-python/Manifest
@@ -4,5 +4,7 @@ DIST llvm-project-15.0.7.src.tar.xz 110936452 BLAKE2B f3d277e2029157329e5be78b78
DIST llvm-project-15.0.7.src.tar.xz.sig 566 BLAKE2B 47dc8c82d86237b80c6d85f83a6c9a6e9e174cf8e7f367b071e0cd9481d7cd408e991337c5624e07f3f370f26387c814f212808575ed1c1b58404d3e3836b7df SHA512 fc6891b440dd1175eb8df3790590af8d36bc92301660f84744ae15123475aeb900a151e6a8e7998ded27ec4d86871903ad0b89cd61164943054c2e3bc8d8beb2
DIST llvm-project-16.0.3.src.tar.xz 117998136 BLAKE2B 6117586a117c30515e9a5623ab91d29ba65d33c8041274de0ecdbce08ae4fe1c8c3b120db9ca625f42fdbb2301537b4ffe8f7add701c178282be4f583fa0c8ca SHA512 2eb5eca1cbee92a499d7fba5729b61f31186353bc0545b17eefa300cf2b27c8d9a2f307443b2c1c9fe1b0ba412abf5143fdd4d25aaeb33d975a9a834221d7602
DIST llvm-project-16.0.3.src.tar.xz.sig 566 BLAKE2B bbd96268b006fecffd7402452ae7559bd2ea42c7b771999f58893a48d66b1b056b476a7022c70e2ab8f11dba8318ccc141f97a05ece3b9ed3b4405a6890b0c3a SHA512 cdd5e1c2a252ba58f9b7f8687d6cf9a330c188988707bd72f4632a8158a2db9ac180b3936da99b87e7e99886c39cb8517ebbb04b7d1be198e76964e31ec8dc58
+DIST llvm-project-16.0.4.src.tar.xz 117996332 BLAKE2B 2ea3ef25290ce6180d271e42fbf5e02da973a21e3929c1ac8d1e3e7b268d39db97611e15654ca7e6527add24542d0eed0ee2b1b9d85dfd0ba661e55356bac5d3 SHA512 860bcb999005f55bed25691304983d7bf707f8e3246000595b412b9e88f4a1614be0adb43bbff9c30f49b969373fa0becab02a56ac37915a5f83c52ca8ea3f95
+DIST llvm-project-16.0.4.src.tar.xz.sig 566 BLAKE2B 43cb2147f12f98f864797158e8efcfed9c6780fae3b5c71c0f1aea19a4131ee91c36bdf5b10e44f478f2370c8d22a9038038ecd607f25a95f2d3e33628eb9ac0 SHA512 c902d1b652e6e144fcf74f550539f56665475b6bdf673ba5bf2f1731c3bb8f5717ed56433d488c54bbf2f429b432da84e0bfb4b5fb5f2b7fa208b4f24f682be7
DIST llvm-project-52882de0e641487329c9e093a90ea3dad01842c8.tar.gz 182953335 BLAKE2B 98682729992d73202e35b540d5d0d87e2acf44e4ab6896a0b6f9ac4a7423f55ad370ae1d7e919a6c86dc7f138a66890ac89b852b03305612d248ab567833f8be SHA512 3685aff0f648e9b477e1e01edebe4799498c21587e2ed5577e2fdef98bb21ea215e206606a11692fbb93a0989fd59fd324faff2c4d97b7afca0851b53f123f05
DIST llvm-project-7d436d56b60b36508b94e39d08761f1405a9c770.tar.gz 183363091 BLAKE2B e0d3520814b3455e33107715697f00d653ad46bb8d8200caf42c42743520f389217ea2e57449bbc2e98126b602b2aa344e4125e4b1f92152f7957a11a9b9a150 SHA512 65a8e30702217e5e1309efe3daeda5115eeb2e8d25238db1fa4e8dcfc729d75655a10b3394f2f70b7e7efb8ea33a31b6e2482065cc81805023101da00584a81e
diff --git a/dev-python/clang-python/clang-python-16.0.4.ebuild b/dev-python/clang-python/clang-python-16.0.4.ebuild
new file mode 100644
index 000000000000..5546637dec76
--- /dev/null
+++ b/dev-python/clang-python/clang-python-16.0.4.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+inherit llvm.org python-r1
+
+DESCRIPTION="Python bindings for sys-devel/clang"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# The module is opening libclang.so directly, and doing some blasphemy
+# on top of it.
+DEPEND="
+ >=sys-devel/clang-${PV}:*
+ !sys-devel/llvm:0[clang(-),python(-)]
+ !sys-devel/clang:0[python(-)]
+"
+RDEPEND="
+ ${DEPEND}
+ ${PYTHON_DEPS}
+"
+BDEPEND="
+ ${PYTHON_DEPS}
+ test? (
+ sys-devel/clang:${LLVM_MAJOR}
+ )
+"
+
+LLVM_COMPONENTS=( clang/bindings/python )
+llvm.org_set_globals
+
+python_test() {
+ # tests rely on results from a specific clang version, so override
+ # the search path
+ local -x CLANG_LIBRARY_PATH=${BROOT}/usr/lib/llvm/${LLVM_MAJOR}/$(get_libdir)
+ local -x CLANG_NO_DEFAULT_CONFIG=1
+ "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
+}
+
+src_test() {
+ python_foreach_impl python_test
+}
+
+src_install() {
+ python_foreach_impl python_domodule clang
+}
diff --git a/dev-python/django-ipware/Manifest b/dev-python/django-ipware/Manifest
deleted file mode 100644
index 1522c1618e85..000000000000
--- a/dev-python/django-ipware/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST django-ipware-5.0.0.gh.tar.gz 12628 BLAKE2B d7b2a41f255385875348127901acba2b4a7fc7774875f8a53d993a666226b5edadab6480733a961b1eec5b04b3e7283194b57829cb5137ea87a4fe99ba9f71cd SHA512 67acf23a5b91310de2e7b2fac0ce3368cd9c2473f25e22fc237085d158a63d216c2f9c33e647b83b7dfb3bd82276285bbf1dfbdecac7c17a71b81bdfee013e64
diff --git a/dev-python/djangorestframework-guardian/Manifest b/dev-python/djangorestframework-guardian2/Manifest
index 3123266e09f2..3123266e09f2 100644
--- a/dev-python/djangorestframework-guardian/Manifest
+++ b/dev-python/djangorestframework-guardian2/Manifest
diff --git a/dev-python/djangorestframework-guardian/djangorestframework-guardian-0.5.0.ebuild b/dev-python/djangorestframework-guardian2/djangorestframework-guardian2-0.5.0.ebuild
index c03b3f804f67..c934fbd51bd5 100644
--- a/dev-python/djangorestframework-guardian/djangorestframework-guardian-0.5.0.ebuild
+++ b/dev-python/djangorestframework-guardian2/djangorestframework-guardian2-0.5.0.ebuild
@@ -11,7 +11,7 @@ inherit distutils-r1
DESCRIPTION="A Django application to retrieve user's IP address"
HOMEPAGE="
https://github.com/johnthagen/django-rest-framework-guardian2
- https://pypi.org/project/django-guardian/
+ https://pypi.org/project/djangorestframework-guardian2/
"
SRC_URI="
https://github.com/johnthagen/django-rest-framework-guardian2/archive/refs/tags/v${PV}.tar.gz
diff --git a/dev-python/django-ipware/metadata.xml b/dev-python/djangorestframework-guardian2/metadata.xml
index a2df676e20ae..a2df676e20ae 100644
--- a/dev-python/django-ipware/metadata.xml
+++ b/dev-python/djangorestframework-guardian2/metadata.xml
diff --git a/dev-python/etuples/Manifest b/dev-python/etuples/Manifest
index 73ec9aab974a..4b03898ddc32 100644
--- a/dev-python/etuples/Manifest
+++ b/dev-python/etuples/Manifest
@@ -1 +1,2 @@
DIST etuples-0.3.8.gh.tar.gz 45301 BLAKE2B 56fdae84b180b9ab5a81533d4028d8271e443146a4ed456252ca15400a2afb9987c741c5e5155b9ed48eb12bcc6038e081913c49e00b4eaf67a69c52b2a981c5 SHA512 0971baa9c3038ce1bf9974b750f9e642ecaad92c59b12bc69a2beb6cf4b042302580d96d0feae80a280634f56371f681fc1efcf48741a7cd65b35d9a77b66930
+DIST etuples-0.3.9.gh.tar.gz 45310 BLAKE2B e639fd4a1a4d9a1b34b32ab2884bfe933a079d721bb8b16b225d62f63e61e5cd1f1aa0f4113769744dd2ab80e537d73efdc3bcce3d1781089746997c11f3d820 SHA512 d66fac192fe14153b3496e6baa5ee3a0ff2813c26bbf0c3293049a0a50a26f32e14b031877f36e336035bf74853e981b6f75410e1f84b4ebcc84b55331d313e0
diff --git a/dev-python/etuples/etuples-0.3.9.ebuild b/dev-python/etuples/etuples-0.3.9.ebuild
new file mode 100644
index 000000000000..34cfd675c882
--- /dev/null
+++ b/dev-python/etuples/etuples-0.3.9.ebuild
@@ -0,0 +1,31 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python S-expression emulation using tuple-like objects"
+HOMEPAGE="
+ https://pypi.org/project/etuples/
+ https://github.com/pythological/etuples/
+"
+# tests not in sdist, as of 0.3.9
+SRC_URI="
+ https://github.com/pythological/etuples/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~riscv ~x86"
+
+RDEPEND="
+ dev-python/cons[${PYTHON_USEDEP}]
+ dev-python/multipledispatch[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/google-auth/Manifest b/dev-python/google-auth/Manifest
index e812b3c8a8ec..46ca796b2f31 100644
--- a/dev-python/google-auth/Manifest
+++ b/dev-python/google-auth/Manifest
@@ -1,2 +1,3 @@
DIST google-auth-2.17.3.tar.gz 222865 BLAKE2B 32b7a483cf458415157057fc92631ca4b822d31505b6b037dce8b9bb210982e4c6164db0b8453e5ef40c9d79c56939efaac74024e60aa95d69f843511e6399d0 SHA512 a731260cdfd74a2a095d682aecde55807727eb24fbc4c0ea0da2fb24a6b0f9eed5653cf9ce18ce2caee2e79a7bcadb7a9342aa511db30358c670afbf01c2fd4c
DIST google-auth-2.18.0.tar.gz 224653 BLAKE2B 56de5ac899bd6f143e1e1481d787627821c4f82cd4cd94597c6dce9753a7ea9605b9647464eb42f37571e2f6cded9cea5c966416bdd6c96b6413e1ef3e2b2efe SHA512 2443c7948cb71803197dba2d57ff92f4c17981fa47ac383e9636d2ed239a7d71f43a4d8f61c7c90c651b8d13a0cfc5633a815d72bd731e92d83f3bbaa1b95118
+DIST google-auth-2.18.1.tar.gz 224714 BLAKE2B 2fa63ed18d4dfa4940c93e5f3fb099a6892a16148e5161c3e52980cdee80b7b153a60c005bd3d1d856476f85678b88315d3f4b639f693d292abbf8133dee9397 SHA512 34e53a1c0cf42ab600281d815f259bb252987f163925e357dc2e636c945fd4b74c1f4168bf7d90a6e352fe1d7343767b68bf94fdbb1bc90a92c7067b0e2f2f8f
diff --git a/dev-python/google-auth/google-auth-2.18.1.ebuild b/dev-python/google-auth/google-auth-2.18.1.ebuild
new file mode 100644
index 000000000000..c7a6aff8ed05
--- /dev/null
+++ b/dev-python/google-auth/google-auth-2.18.1.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Google Authentication Library"
+HOMEPAGE="
+ https://github.com/googleapis/google-auth-library-python/
+ https://pypi.org/project/google-auth/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ <dev-python/cachetools-6.0.0[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-0.1.7[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-modules-0.2.1[${PYTHON_USEDEP}]
+ >=dev-python/rsa-3.1.4[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ !dev-python/namespace-google
+"
+BDEPEND="
+ test? (
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/grpcio[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/moto[${PYTHON_USEDEP}]
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ dev-python/pytest-localserver[${PYTHON_USEDEP}]
+ dev-python/pyu2f[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ <dev-python/urllib3-2[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # these are compatibility tests with oauth2client
+ # disable them to unblock removal of that package
+ tests/test__oauth2client.py
+)
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
diff --git a/dev-python/httpcore/Manifest b/dev-python/httpcore/Manifest
index bf20db5dbc27..10befd7b1145 100644
--- a/dev-python/httpcore/Manifest
+++ b/dev-python/httpcore/Manifest
@@ -1,2 +1,3 @@
DIST httpcore-0.16.3.gh.tar.gz 79132 BLAKE2B c06d55ce1390085db6c15d3e96160cfb037a935d1298304856defd1778783ad1954924a48653ce165dae9cde18abec157aa72865f57e97d91a564d1b823c863c SHA512 d889da0a3fee4f190ecc3981b8af34fa9b285d00f4ad92158a085c65f3ad8fa5a97a8c711bd51f8b9518b9d2c90ecd457dee1a3d7bbf853715473f4707cc421a
DIST httpcore-0.17.0.gh.tar.gz 82103 BLAKE2B a12d2843cd19f98d86868802fbb5af37f7223e6cbdb64ec4a36bda93237543d940cc7e71647ffbee67de57b46900a9496f2d3019d9bf0ac4cb74f5d13232708d SHA512 4bec9830df75b35a470e745955058e86cb4cc59c0eacef8d67d76be91c9297009f9af2bf745bf553607a60ff5fd2eaee5b8a497bb8b48ba3daffa08e80188ef4
+DIST httpcore-0.17.1.gh.tar.gz 83752 BLAKE2B c534ce92d11a719a5049677a9d73269a991f607460d4560a3faad0917a992a0d609f91e6f98f9fed87a52e215e1a53d8287cf84268042ae17300ba7d1091e5ee SHA512 73935a22e6f91a4f9e49865066badc9b6f4ade342d294a2e419d5381ead18d2bd5f4e9cee4bfabfa66e8d0a0796d62a3def906dd0e9924b9e5c1d682ceb7edce
diff --git a/dev-python/httpcore/httpcore-0.17.1.ebuild b/dev-python/httpcore/httpcore-0.17.1.ebuild
new file mode 100644
index 000000000000..98686208df69
--- /dev/null
+++ b/dev-python/httpcore/httpcore-0.17.1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="A minimal low-level HTTP client"
+HOMEPAGE="
+ https://www.encode.io/httpcore/
+ https://github.com/encode/httpcore/
+ https://pypi.org/project/httpcore/
+"
+SRC_URI="
+ https://github.com/encode/httpcore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ <dev-python/anyio-5[${PYTHON_USEDEP}]
+ dev-python/certifi[${PYTHON_USEDEP}]
+ <dev-python/h11-0.15[${PYTHON_USEDEP}]
+ <dev-python/h2-5[${PYTHON_USEDEP}]
+ =dev-python/sniffio-1*[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-httpbin[${PYTHON_USEDEP}]
+ dev-python/pytest-trio[${PYTHON_USEDEP}]
+ dev-python/socksio[${PYTHON_USEDEP}]
+ dev-python/trio[${PYTHON_USEDEP}]
+ dev-python/trustme[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+pkg_postinst() {
+ optfeature "SOCKS support" dev-python/socksio
+}
diff --git a/dev-python/keystoneauth1/Manifest b/dev-python/keystoneauth1/Manifest
index 95c3a3303569..e3565c078e57 100644
--- a/dev-python/keystoneauth1/Manifest
+++ b/dev-python/keystoneauth1/Manifest
@@ -1 +1,2 @@
DIST keystoneauth1-5.1.2.tar.gz 269860 BLAKE2B 3c2d83c20991479b05675ce391357c26e4da2a2434f515a15aa900fe398f6fb5ae383cf6b4068a1205e49813406f632bdfe9490c435d5a8290b92c3dc0bdda8f SHA512 ff7e08114cc76d648c3879f44bb78b51e906fed2d34a9cf3e42199f1c5fc53394ad7b53f6cdfcb336436c482755d54891666369a0832ef9b846dd33dc4821791
+DIST keystoneauth1-5.2.0.tar.gz 273102 BLAKE2B ed05830fad8432c36bff41b2238f91cea69846074da9991e28d75ac2ea00744f811edf33f84a2b3e4b4476de1dee8ecf85cfc7d6dbb01ab733d48a84bed80646 SHA512 4a9818922a7f899ebfb2f80a1cde4e4e62a94c30788f7e79004a24de8f94c7d9e0ce9e15eb3a37137240bb4ae0dcc71620edc7bdc05f83323939a48a075b6031
diff --git a/dev-python/keystoneauth1/keystoneauth1-5.2.0.ebuild b/dev-python/keystoneauth1/keystoneauth1-5.2.0.ebuild
new file mode 100644
index 000000000000..b0f8223e4c1a
--- /dev/null
+++ b/dev-python/keystoneauth1/keystoneauth1-5.2.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="This package contains tools for authenticating to an OpenStack-based cloud"
+HOMEPAGE="https://github.com/openstack/keystoneauth"
+HOMEPAGE="
+ https://opendev.org/openstack/keystoneauth/
+ https://github.com/openstack/keystoneauth/
+ https://pypi.org/project/keystoneauth1/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/iso8601-0.1.11[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.14.2[${PYTHON_USEDEP}]
+ >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
+ >=dev-python/os-service-types-1.2.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/betamax-0.7.0[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.2.0[${PYTHON_USEDEP}]
+ >=dev-python/oauthlib-0.6.2[${PYTHON_USEDEP}]
+ >=dev-python/oslo-config-5.2.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-3.12[${PYTHON_USEDEP}]
+ >=dev-python/requests-kerberos-0.8.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-mock-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/testresources-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # relies on specific test runner name
+ sed -i -e 's:run\.py:unittest_or_fail.py:' \
+ keystoneauth1/tests/unit/test_session.py || die
+ # remove the test that requires hacking
+ rm keystoneauth1/tests/unit/test_hacking_checks.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ eunittest -b
+}
diff --git a/dev-python/langdetect/Manifest b/dev-python/langdetect/Manifest
index e9da2ac43cac..a11d7c268c91 100644
--- a/dev-python/langdetect/Manifest
+++ b/dev-python/langdetect/Manifest
@@ -1,3 +1 @@
DIST langdetect-1.0.9.tar.gz 981474 BLAKE2B ea8a9c3f16a2987c080742473bff4f2c1503f53fb3c2b40b0b1d6212bb6133ea22dce7864ffcfb8968c3a46b157d45cb3e2cf6f84bdbed0266cc716a853b032c SHA512 7558d674c47b080c79e43a00a25d2c7f77188cf60bea2cecb3bebb803d75e1aa42b43c74bd26ea1b541f4cb927421908882cbec01a91f0913984217e71ccc8db
-EBUILD langdetect-1.0.9.ebuild 493 BLAKE2B 0df8bce19bc80f79f8e76bcef5a4c2caf333365fe0cb9a3c076b7858bceded5a3e58921474f866a2709dd657b7ed330c1ec4a7f9d7bab0fcf1bc92d77cabc32d SHA512 ea2a1adcb133ac5fc951ba1aa90ef1ce3dfcc424e59727591763d4875aa044a74188be2d15fd89c6b2e83ed6ea04ec3d9851ed584ae79d2c2c127bde7d994b48
-MISC metadata.xml 457 BLAKE2B 630128a3e982b6d60cc7b9f74c79fcb5ee47a71a02c73a50af9da8cedb6fad8e20a7f74b881e5b25c6483b92c9edbd56552cd38b2d9cbfa8b3eb4530facea969 SHA512 674f4f5cd809c6c77bc14e0f5687fa972bef14bdfa0b3343c5d66b7163eef1906eb87d060c8288732f825de71dce291ad0b841a5f2f0dd230f957b5687e45d45
diff --git a/dev-python/langdetect/metadata.xml b/dev-python/langdetect/metadata.xml
index 020e07f2a3dd..ddb5b0f1787e 100644
--- a/dev-python/langdetect/metadata.xml
+++ b/dev-python/langdetect/metadata.xml
@@ -2,11 +2,9 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>marcin.deranek@slonko.net</email>
- <name>Marcin Deranek</name>
+ <email>cyber+gentoo@sysrq.in</email>
+ <name>Anna</name>
</maintainer>
- <upstream>
- <bugs-to>https://github.com/Mimino666/langdetect/issues</bugs-to>
- </upstream>
- <origin>slonko-overlay</origin>
+
+ <origin>gentoo-guru-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/lit/Manifest b/dev-python/lit/Manifest
index 9ebe26ea1ca5..613e780805df 100644
--- a/dev-python/lit/Manifest
+++ b/dev-python/lit/Manifest
@@ -4,5 +4,7 @@ DIST llvm-project-15.0.7.src.tar.xz 110936452 BLAKE2B f3d277e2029157329e5be78b78
DIST llvm-project-15.0.7.src.tar.xz.sig 566 BLAKE2B 47dc8c82d86237b80c6d85f83a6c9a6e9e174cf8e7f367b071e0cd9481d7cd408e991337c5624e07f3f370f26387c814f212808575ed1c1b58404d3e3836b7df SHA512 fc6891b440dd1175eb8df3790590af8d36bc92301660f84744ae15123475aeb900a151e6a8e7998ded27ec4d86871903ad0b89cd61164943054c2e3bc8d8beb2
DIST llvm-project-16.0.3.src.tar.xz 117998136 BLAKE2B 6117586a117c30515e9a5623ab91d29ba65d33c8041274de0ecdbce08ae4fe1c8c3b120db9ca625f42fdbb2301537b4ffe8f7add701c178282be4f583fa0c8ca SHA512 2eb5eca1cbee92a499d7fba5729b61f31186353bc0545b17eefa300cf2b27c8d9a2f307443b2c1c9fe1b0ba412abf5143fdd4d25aaeb33d975a9a834221d7602
DIST llvm-project-16.0.3.src.tar.xz.sig 566 BLAKE2B bbd96268b006fecffd7402452ae7559bd2ea42c7b771999f58893a48d66b1b056b476a7022c70e2ab8f11dba8318ccc141f97a05ece3b9ed3b4405a6890b0c3a SHA512 cdd5e1c2a252ba58f9b7f8687d6cf9a330c188988707bd72f4632a8158a2db9ac180b3936da99b87e7e99886c39cb8517ebbb04b7d1be198e76964e31ec8dc58
+DIST llvm-project-16.0.4.src.tar.xz 117996332 BLAKE2B 2ea3ef25290ce6180d271e42fbf5e02da973a21e3929c1ac8d1e3e7b268d39db97611e15654ca7e6527add24542d0eed0ee2b1b9d85dfd0ba661e55356bac5d3 SHA512 860bcb999005f55bed25691304983d7bf707f8e3246000595b412b9e88f4a1614be0adb43bbff9c30f49b969373fa0becab02a56ac37915a5f83c52ca8ea3f95
+DIST llvm-project-16.0.4.src.tar.xz.sig 566 BLAKE2B 43cb2147f12f98f864797158e8efcfed9c6780fae3b5c71c0f1aea19a4131ee91c36bdf5b10e44f478f2370c8d22a9038038ecd607f25a95f2d3e33628eb9ac0 SHA512 c902d1b652e6e144fcf74f550539f56665475b6bdf673ba5bf2f1731c3bb8f5717ed56433d488c54bbf2f429b432da84e0bfb4b5fb5f2b7fa208b4f24f682be7
DIST llvm-project-52882de0e641487329c9e093a90ea3dad01842c8.tar.gz 182953335 BLAKE2B 98682729992d73202e35b540d5d0d87e2acf44e4ab6896a0b6f9ac4a7423f55ad370ae1d7e919a6c86dc7f138a66890ac89b852b03305612d248ab567833f8be SHA512 3685aff0f648e9b477e1e01edebe4799498c21587e2ed5577e2fdef98bb21ea215e206606a11692fbb93a0989fd59fd324faff2c4d97b7afca0851b53f123f05
DIST llvm-project-7d436d56b60b36508b94e39d08761f1405a9c770.tar.gz 183363091 BLAKE2B e0d3520814b3455e33107715697f00d653ad46bb8d8200caf42c42743520f389217ea2e57449bbc2e98126b602b2aa344e4125e4b1f92152f7957a11a9b9a150 SHA512 65a8e30702217e5e1309efe3daeda5115eeb2e8d25238db1fa4e8dcfc729d75655a10b3394f2f70b7e7efb8ea33a31b6e2482065cc81805023101da00584a81e
diff --git a/dev-python/lit/lit-16.0.4.ebuild b/dev-python/lit/lit-16.0.4.ebuild
new file mode 100644
index 000000000000..41e94fc739e0
--- /dev/null
+++ b/dev-python/lit/lit-16.0.4.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1 llvm.org
+
+DESCRIPTION="A stand-alone install of the LLVM suite testing tool"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# Tests require 'FileCheck' and 'not' utilities (from llvm)
+BDEPEND="
+ test? (
+ dev-python/psutil[${PYTHON_USEDEP}]
+ sys-devel/llvm
+ )
+"
+
+LLVM_COMPONENTS=( llvm/utils/lit )
+llvm.org_set_globals
+
+# TODO: move the manpage generation here (from sys-devel/llvm)
+
+src_prepare() {
+ cd "${WORKDIR}" || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x LIT_PRESERVES_TMP=1
+ local litflags=$(get_lit_flags)
+ ./lit.py ${litflags//;/ } tests || die
+}
diff --git a/dev-python/python-ipware/Manifest b/dev-python/python-ipware/Manifest
new file mode 100644
index 000000000000..13461900d6f8
--- /dev/null
+++ b/dev-python/python-ipware/Manifest
@@ -0,0 +1 @@
+DIST python-ipware-0.9.0.gh.tar.gz 11844 BLAKE2B 0d68933880063fa6a28a04bea3dd3e45c55af318b95e6e3d6bd163b6d77433b0fecd90b31d074107738534340fdd1e373b9d70012665ed5b2bc74a6a26d00f03 SHA512 9cbd44a31e1007958e08217ce43a4412390f386adacea18a5c242c970e103b892c351845d824a2cc88b9ee96694b21a2c938ad92ffa07f9c38e387fc37ea8816
diff --git a/dev-python/djangorestframework-guardian/metadata.xml b/dev-python/python-ipware/metadata.xml
index a2df676e20ae..a2df676e20ae 100644
--- a/dev-python/djangorestframework-guardian/metadata.xml
+++ b/dev-python/python-ipware/metadata.xml
diff --git a/dev-python/django-ipware/django-ipware-5.0.0.ebuild b/dev-python/python-ipware/python-ipware-0.9.0.ebuild
index 107f7de72de5..fa4079901338 100644
--- a/dev-python/django-ipware/django-ipware-5.0.0.ebuild
+++ b/dev-python/python-ipware/python-ipware-0.9.0.ebuild
@@ -10,11 +10,11 @@ inherit distutils-r1
DESCRIPTION="A Django application to retrieve user's IP address"
HOMEPAGE="
- https://github.com/un33k/django-ipware
- https://pypi.org/project/django-ipware/
+ https://github.com/un33k/python-ipware
+ https://pypi.org/project/python-ipware/
"
SRC_URI="
- https://github.com/un33k/django-ipware/archive/refs/tags/v${PV}.tar.gz
+ https://github.com/un33k/python-ipware/archive/refs/tags/v${PV}.tar.gz
-> ${P}.gh.tar.gz
"
@@ -22,10 +22,6 @@ LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
-RDEPEND="
- >=dev-python/django-1.11[${PYTHON_USEDEP}]
-"
-
python_test() {
"${EPYTHON}" tests/manage.py test -v2 myapp ||
die "Tests failed with ${EPYTHON}"
diff --git a/dev-python/sentry-sdk/Manifest b/dev-python/sentry-sdk/Manifest
index 4b8573d3097c..1768563cd406 100644
--- a/dev-python/sentry-sdk/Manifest
+++ b/dev-python/sentry-sdk/Manifest
@@ -5,3 +5,4 @@ DIST sentry-python-1.21.1.gh.tar.gz 349021 BLAKE2B f467ba16484d0807734deb7d2544f
DIST sentry-python-1.22.1.gh.tar.gz 351929 BLAKE2B afcdd6293ff1e96f2a07e6d6ad5fb9bfc8715cf4d7ca30237d92cae9f48abf4cb849ad8f86f3ba3f0421198dd2fdbfe25b95c9e50c2abab36d1fed4bd71181fd SHA512 2796620223476d8996291d2f2ff88a128a86fe8ded40f44ffc575f09e8b390d9b0e77e186d153decb81f33aa050eeef5b2ce707ad381d226955ce18315a0e3ee
DIST sentry-python-1.22.2.gh.tar.gz 352403 BLAKE2B 7dcc1583904ac7ca2349b153c13ffd2098e888fcf18a7150efa8e99e0bdc93f40c2d91a0044b85d64e21116e2503173e8a0b46dcc227f7e5cf7deaf2fe8abc64 SHA512 71d4235a0a5f6df0e18f0f0e04530ce225c218cc1018d48c7a419f3a118ea9d89df3635d62ae2a5a34632a58163ac317f41167e40b2ea172f2bd0467de3a8196
DIST sentry-python-1.23.0.gh.tar.gz 355085 BLAKE2B a0cab2f69177325a28b6fc24aa311f3ab9bdb20b43c9cbcf809a67aaaeb51306cabc2f7ce413ec9e85de6d1283a2f0d7c3cf7c0d3f8df84c54cf8f685025e127 SHA512 6cb0fda5c73e7f3a3e33458479ab40f6f33c661b9ddf69eaf6630c22004ff8a21157a3be454e583717b7d1999bff26bbe8d8e3d719e42c42612f1c5ddf0767b5
+DIST sentry-python-1.23.1.gh.tar.gz 355099 BLAKE2B d4aea7fd4746f1ee7873382f6a8545a1e21583e12b241ecc9ccf210bab95aa07051e802199c1c225756bb4fe9b8b9ec4bb76d737f2c19216df1b30e33614f54b SHA512 3d7237c0d624c51cf7a99ea1c480fb67d0dee7ae48cefd7322d870881ecc6b25f5fa481c6cd86b75fa7f1a4acf54f9c0f576021bf75cc8e8b9be99ec05453e2f
diff --git a/dev-python/sentry-sdk/sentry-sdk-1.23.1.ebuild b/dev-python/sentry-sdk/sentry-sdk-1.23.1.ebuild
new file mode 100644
index 000000000000..8095ec3baba2
--- /dev/null
+++ b/dev-python/sentry-sdk/sentry-sdk-1.23.1.ebuild
@@ -0,0 +1,114 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+MY_P=sentry-python-${PV}
+DESCRIPTION="Python client for Sentry"
+HOMEPAGE="
+ https://sentry.io/
+ https://github.com/getsentry/sentry-python/
+ https://pypi.org/project/sentry-sdk/
+"
+SRC_URI="
+ https://github.com/getsentry/sentry-python/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ dev-python/urllib3[${PYTHON_USEDEP}]
+ dev-python/certifi[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/asttokens[${PYTHON_USEDEP}]
+ dev-python/django[${PYTHON_USEDEP}]
+ dev-python/executing[${PYTHON_USEDEP}]
+ dev-python/fakeredis[${PYTHON_USEDEP}]
+ dev-python/flask-login[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pyrsistent[${PYTHON_USEDEP}]
+ dev-python/pytest-aiohttp[${PYTHON_USEDEP}]
+ dev-python/pytest-django[${PYTHON_USEDEP}]
+ dev-python/pytest-forked[${PYTHON_USEDEP}]
+ dev-python/pytest-localserver[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ dev-python/zope-event[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+PATCHES=(
+ "${FILESDIR}/sentry-sdk-1.21.0-ignore-warnings.patch"
+)
+
+EPYTEST_IGNORE=(
+ # tests require Internet access
+ tests/integrations/httpx/test_httpx.py
+ tests/integrations/requests/test_requests.py
+ tests/integrations/stdlib/test_httplib.py
+ tests/integrations/flask/test_flask.py
+ tests/integrations/django/test_basic.py
+ tests/integrations/socket/test_socket.py
+ # wtf is it supposed to do?!
+ tests/integrations/gcp/test_gcp.py
+ # broken by rq-1.10.1 (optional dep)
+ tests/integrations/rq/test_rq.py
+ # fastapi is not packaged
+ tests/integrations/asgi/test_fastapi.py
+ # TODO
+ tests/integrations/bottle
+ # TODO: causes breakage in other tests
+ tests/integrations/starlette
+ # TODO
+ tests/integrations/tornado
+ # requires mockupdb
+ tests/integrations/pymongo
+)
+
+EPYTEST_DESELECT=(
+ # hangs
+ 'tests/test_transport.py::test_transport_works'
+ # TODO
+ 'tests/test_basics.py::test_auto_enabling_integrations_catches_import_error'
+ tests/test_client.py::test_databag_depth_stripping
+ tests/test_client.py::test_databag_string_stripping
+ tests/test_client.py::test_databag_breadth_stripping
+ tests/integrations/asgi/test_asgi.py::test_auto_session_tracking_with_aggregates
+ tests/integrations/asgi/test_asgi.py::test_websocket
+ tests/integrations/aiohttp/test_aiohttp.py::test_transaction_style
+ tests/integrations/aiohttp/test_aiohttp.py::test_traces_sampler_gets_request_object_in_sampling_context
+ # incompatible version?
+ tests/integrations/falcon/test_falcon.py
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_large_event_not_truncated
+ # test_circular_references: apparently fragile
+ 'tests/integrations/threading/test_threading.py::test_circular_references'
+ # test for new feature, fails with IndexError
+ tests/integrations/wsgi/test_wsgi.py::test_session_mode_defaults_to_request_mode_in_wsgi_handler
+ # TODO
+ tests/integrations/wsgi/test_wsgi.py::test_auto_session_tracking_with_aggregates
+ tests/integrations/wsgi/test_wsgi.py::test_profile_sent_when_profiling_enabled
+ tests/test_profiler.py::test_sample_buffer
+ tests/test_profiler.py::test_thread_scheduler_takes_first_samples
+ tests/test_profiler.py::test_thread_scheduler_takes_more_samples
+ tests/test_profiler.py::test_thread_scheduler_single_background_thread
+ # broken with py3.11, *shrug*
+ tests/test_profiler.py::test_extract_stack_with_max_depth
+ # TODO
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_long_sql_query_preserved
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_engine_name_not_string
+ tests/test_scrubber.py::test_breadcrumb_extra_scrubbing
+ tests/test_scrubber.py::test_span_data_scrubbing
+)